<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>gov.va.med.cds.ws</groupId>
  <artifactId>common-ws</artifactId>
  <version>3.0.1-SNAPSHOT</version>
  <description>Contains common classes used across the Repositories Web Service projects and is meant to be include inside an ear that PROVIDES most of the the dependencies contained in the dependency section</description>
  <packaging>jar</packaging>

  <scm> 
      <url>${env.SCM_URL}:${env.MODULE_COMMON_WS_RB_RWS}</url> 
      <connection>scm:jazz:${env.SCM_URL}:${env.MODULE_COMMON_WS_RB_RWS}</connection> 
      <developerConnection>scm:jazz:${env.SCM_URL}:${env.MODULE_COMMON_WS_RB_RWS}</developerConnection> 
   </scm>
  <properties>
		<modules.test.groups>checkintest</modules.test.groups>
		<powermock.version>1.6.4</powermock.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<build.reports.outputsite>file://server.fo-slc.URL       :/usr/share/tomcat6/webapps/siteReport</build.reports.outputsite>
		<build.reports.url>http://server.fo-slc.URL       :8080/siteReport/</build.reports.url>
		
		<!-- module and client dependencies -->
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
		<testharness.version>6.0.0</testharness.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
			<version>${common.version}</version>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>testharness</artifactId>
			<version>${testharness.version}</version>
			<classifier>tests</classifier>
		</dependency>
	    <dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
			<scope>test</scope>
		</dependency>
	    <dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymock</artifactId>
			<version>3.4</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymockclassextension</artifactId>
			<version>2.4</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-core</artifactId>
			<version>${apache.cxf.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-ws-security</artifactId>
			<version>${apache.cxf.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
  			<groupId>org.apache.cxf</groupId>
  			<artifactId>cxf-rt-rs-security-xml</artifactId>
  			<version>${apache.cxf.version}</version>
  			<scope>provided</scope>
		</dependency>
		<!-- <dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-bindings-xml</artifactId>
			<version>${apache.cxf.version}</version>
			<scope>provided</scope>
		</dependency> -->
		<dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>javax.ws.rs-api</artifactId>
			<version>2.0.1</version>
			<scope>provided</scope>
		</dependency> 
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>
			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
			</plugin>

			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>

		</plugins>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
				<filtering>true</filtering>
			</testResource>
		</testResources>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<!-- <site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/${project.version}
			</url>
		</site> -->
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://server.fo-slc.URL       :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
</project>

